<div class="left">
  <div class="flex flex-column gap-2">
    <label for="appId" i18n>程式代號</label>
    <input style="width: 20vw" pInputText id="appId" aria-describedby="username-help" [value]="appStore.appId"
      disabled />
  </div>
  <div class="flex flex-column gap-2" style="margin-top: 1.5rem;">
    <label for="program" i18n>程式語言</label>
    <p-dropdown [style]="{width: '20vw'}" id="program" aria-describedby="username-help" [(ngModel)]="appStore.program"
      [options]="programs" />
  </div>
  <div class="flex flex-column gap-2" style="margin-top: 1.5rem;">
    <label for="versionNo" i18n>版本</label>
    <input style="width: 20vw;" pInputText id="versionNo" aria-describedby="username-help"
      [(ngModel)]="appStore.versionNo" />
  </div>
</div>

<div class="content">
  <div class="flex flex-column gap-2">
    <label for="appName" i18n>應用程式</label>
    <input style="width: 40vw;" pInputText id="appName" aria-describedby="username-help"
      [(ngModel)]="appStore.appName" />
  </div>
  <div class="flex flex-column gap-2" style="margin-top: 1.5rem;">
    <label for="appUrl" i18n>網址路徑</label>
    <input style="width: 40vw;" pInputText id="appUrl" aria-describedby="username-help"
      [(ngModel)]="appStore.appUrl" />
  </div>
  <div class="flex flex-column gap-2" style="margin-top: 1.5rem;">
    <label for="systemUser" i18n>維護人員</label>
    <div>
      <p-dropdown [style]="{width: '20vw'}" id="systemUser" aria-describedby="username-help"
        [(ngModel)]="appStore.systemUser" [options]="systemUsers"></p-dropdown>
      <p-triStateCheckbox [(ngModel)]="appStore.isAuth" inputId="tricheckbox"></p-triStateCheckbox>
      <span i18n>是否要授權</span>
    </div>
  </div>
</div>

<div class="right" style="margin-top: 1rem;">
  <img  (click)="onIconClick()" [src]="appStore.icon" [style]="{ width: '20vw'}" alt="icon">
  <p-dialog header="Header" [(visible)]="dialogVisible" [style]="dialogStyle">
    <ng-template pTemplate="header">
      <span class="text-xl font-bold"></span>
    </ng-template>
    <div class="grid-container">
      <ng-container class="grid-item" *ngFor="let imagePath of imagePaths">
        <img [src]="imagePath" (click)="onIconSelect(imagePath)" alt="icon">
      </ng-container>
    </div>
    <ng-template pTemplate="footer">
      <p-divider></p-divider>
      <button pButton pRipple class="cancel" (click)="onCancelClick()" i18n>取消</button>
      <button pButton pRipple (click)="onOkClick()" i18n class="p-button-text">確認</button>
    </ng-template>
  </p-dialog>
</div>
